petsc-3.13.6 2020-09-29
Report Typos and Errors

# PCGAMGSetCoarseGridLayoutType

place reduce grids on processors with natural order (compact type)

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetCoarseGridLayoutType(PC pc, PCGAMGLayoutType flg)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flg | - Layout type

### Options Database Key

-pc_gamg_coarse_grid_layout_type -

### See Also

PCGAMGSetUseParallelCoarseGridSolve(), PCGAMGSetCpuPinCoarseGrids()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetCoarseGridLayoutType_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages